#!/bin/bash
#
# This script is used to cross-compile to a module "winhelp.nlm"
# that can be used on Novell Netware with Apache 2 web server (ONLY Apache2!)
#
# Read http://www.herdsoft.com/ti/netware/cross/ for more informations
# on the neccessary GNU GCC Cross-Compiler.
#
# (C) 2003 Herd Software Development http://www.herdsoft.com/
# This program is free software; you can redistribute it and/or    
# modify it under the terms of the GNU General Public License as   
# published by the Free Software Foundation; either version 2 of   
# the License.              
#                                                                  
# This program is distributed in the hope that it will be useful,  
# but WITHOUT ANY WARRANTY; without even the implied warranty of   
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    
# GNU General Public License for more details.                     
#                                                                  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software      
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        
# 


# Set Variables defining what we want to do.
if [ -z "$TARGET" ] ; then
   TARGET=i386-netware
fi

if [ -z "$PREFIX" ] ; then
   PREFIX=/opt/cross/$TARGET
fi

# Remove old "configure" temp files from other TARGET platforms
rm -f config.cache config.log config.status libhlpaccess/libhlpaccess.a

export AR=$TARGET-ar
export CC=$TARGET-gcc
export LD=$TARGET-ld
export RANLIB=$TARGET-ranlib
export LDFLAGS=-Wl,-r
#export CFLAGS=-O2 # Else error Message libg not found

./configure \
   --target=$TARGET \
   --prefix=$PREFIX \
   --bindir=$PREFIX/nlm

if make AR=$AR clean all ; then
   (
    cd winhelpcgi
    make winhelp.nlm

    install -m 0755 winhelp.nlm $PREFIX/nlm/
   )
fi
