#!/bin/bash
#
# This script is used to cross-compile to a CGI-program "winhelpcgi.cgi"
# on a linux host targetint IBM AIX
#
# (C) 2003 Herd Software Development http://www.herdsoft.com/
# This program is free software; you can redistribute it and/or    
# modify it under the terms of the GNU General Public License as   
# published by the Free Software Foundation; either version 2 of   
# the License.              
#                                                                  
# This program is distributed in the hope that it will be useful,  
# but WITHOUT ANY WARRANTY; without even the implied warranty of   
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    
# GNU General Public License for more details.                     
#                                                                  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software      
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        
# 

# This script applies some hacks since my set of AIX files is
# incomplete and I have to work around some of the limitations.

# Set Variables defining what we want to do.
target=powerpc-ibm-aix4.3.1.0
prefix=/opt/cross/$target

# Remove old "configure" temp files from other target platforms
rm -f config.cache config.log config.status libhlpaccess/libhlpaccess.a


export AR=$target-ar
export CC=$target-gcc
export LD=$target-ld
export RANLIB=$target-ranlib
export CFLAGS="-O2 -I$PWD/cross/powerpc-ibm-aix4.3.1.0/include -I$PWD/intl" # -O2 Else -g resulting in error Message libg not found -I: ctype.h missing from my set of files

./configure \
   --target=$target \
   --prefix=$prefix

sed \
  -e "/^#define HAVE_STPCPY/ d" \
  -e "/^#define HAVE_TSEARCH/ d" \
  config.h >config.h~
mv -f config.h~ config.h

make \
  AR=$AR \
  LDFLAGS=-Wl,--rpath=/usr/lib \
  AM_CFLAGS="-O2 -I$PWD/cross/powerpc-ibm-aix4.3.1.0/include -s" \
  clean all 

# the --rpath is neccessary else the ld tells AIX to search for the libs in
# /opt/cross/powerpc-ibm-aix4.3.1.0/lib, which is not what we want.
