/* bigend.h
 *
 * big-endian support functions.
 *
 */

#if   defined(__powerpc__) || defined(__ppc__) || defined(__sparc__) || defined(_AIX)
# define BIGENDIAN       /* This is a big-endian machine MSB is the first Byte */
#elif defined(__i386__) || defined(__alpha__) || defined(__amd64__)
# define LITTLEENDIAN    /* This is a little-endian machine MSB is the last Byte */
#else
# error Endianness undefined
#endif

typedef struct { BYTE b1, b2; }         LEWORD;   /* Little-Endian 16-Bit Word */
typedef struct { BYTE d1, d2, d3, d4; } LEDWORD;  /* Little-Endian 32-Bit DWord */


#define leword(val)  ((val).b1+((val).b2<<8))
#define ledword(val) ((val).d1+((val).d2<<8)+((val).d3<<16)+((val).d4<<24))
