/* IFS.H ----------------------------------------------
 *
 *-----------------------------------------------------*/

#ifdef STATICLIB        /* Do not generate export-Definitions for static libraries */                        
# define DLLEXP
#else
# define DLLEXP _export
#endif

#ifndef __BORLANDC__
# define _USERENTRY
#endif


typedef struct _IFS     NEAR *HIFS;         // Handle to an open File-System (.HLP, .MVB or .ANN-File)
typedef struct _IFSFILE NEAR *HIFSFILE;     // Handle to a file inside of a File-System, like a Baggage-File or a included SHG-File etc.
typedef struct _TOPIC   NEAR *HTOPIC;       // Handle to a file inside of a File-System, like a Baggage-File or a included SHG-File etc.


/* IFS
 *
 * The IFS-Structure defines a control-Structure to
 * Access a Windows Help (.HLP) - Files internel
 * Data structures
 *
 */
typedef struct _IFS
      { //--------- File-Access informations -----------------
        char *           HelpFileName;  // Filename of the .HLP file used when opening the file.
#ifdef __WIN32__
      	OFSTRUCT	 of;		// OpenFile-Structure contaning FULL filename
#endif
	HFILE	         hf;		// Currently assigned File-Handle

	//--------- File-Header Data -------------------------
	HELPHEADER       HelpHeader;	/* Header for Help file.         */
	WHIFSBTREEHEADER WHIFSHeader;   /* WHIFS Header record           */

        //--------- Internal organization Data ---------------


      } IFS, NEAR *NPIFS;


/* IFSFILE
 *
 * The IFSFILE-Structure Controls access to one File
 * In an Internal File System
 */
typedef struct _IFSFILE
      { // --------- Control access to the File-Data ---------
	NPIFS ifs;

        //---------- Locations and File-Sizes ----------------
	DWORD dwSize, 		// Size of the internal File
	      dwOffset,		// Offset of the internal File in the physical File
	      dwPos;		// Current Position of the File

      } IFSFILE, NEAR *NPIFSFILE;



#define LOCAL static near pascal

