/*
 * Help Access Library 
 * A CGI-Program to read Windows Help files in a Web Browser.
 *
 * Copyright (C) 1995-2004 Bernd Herd, http://www.herdsoft.com
 *                                                                  
 * This program is free software; you can redistribute it and/or    
 * modify it under the terms of the GNU General Public License as   
 * published by the Free Software Foundation; either version 2 of   
 * the License.              
 *                                                                  
 * This program is distributed in the hope that it will be useful,  
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    
 * GNU General Public License for more details.                     
 *                                                                  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software      
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.        
 */
/* stringbuffer.h -- part of WinHelpCGI

   This piece maintains the simple STRINGBUFFER structures used
   by winhelpcgi similar to in-memory FILE *.
 
   (C)2004 Herd Software Development, Kettelerstr. 35 / 68642 Buerstadt / Germany"
*/

#ifndef __stringbuffer_h
#define __stringbuffer_h

/// String-Buffer element enabeling easy appending to a string
typedef struct
{
  int reserved;
  int pos;
  char *string;
} STRINGBUFFER;

void sbadd(STRINGBUFFER *sb, const char *string);
void sbputchar(STRINGBUFFER *sb, char ch);
void sbclear(STRINGBUFFER *sb);
const char* sbget(STRINGBUFFER *sb);
void sbhtmlputs(STRINGBUFFER *sb, const char *src);
void sbcat(STRINGBUFFER *sb, STRINGBUFFER *src);
void sbwrite(STRINGBUFFER *sb, const char *string, int len);
void sbflush(STRINGBUFFER *sb, FILE *fout);

void sbprintf(STRINGBUFFER *sb, const char *format, ...) 
#ifdef __GNUC__
     /* A good compiler, that ;-), having nice debugging extra-features */
     __attribute__ ((format (printf, 2, 3)))
#endif
     ;

#define sblength(sb) ((sb)->pos)

#endif
