/* winhelpcgi.h -- part of WinHelpCGI

   This file contains header informations to connect the pieces of the winhelpcgi CGI application

   (C)1996-2003 Herd Software Development, Kettelerstr. 35 / 68642 Buerstadt / Germany"
*/

#include "stringbuffer.h"       // STRINGBUFFER Appendable strings structures

#define ERROR_FONT "<h2><font color=\"#ff0000\">"
#define NORMAL_FONT "</h2><font color=\"#000000\"><p>\n"



#define MAX_FONTS 1000

#ifdef __netware__
#define CGI_NAME "winhelp.nlm"
#else
#define CGI_NAME "winhelpcgi.cgi"   /* Name of the executable when referencing in the generated HTML code */
#endif

const char *UrlEscape(const char *plain);
void htmlputs(FILE *fout, LPCSTR src);


/* ----------- From wc_html.c ---------------*/
			      
/* Flags used to influence formatting */

/// Add Navigation Elements (Back/Previous)
#define HTMLTOPIC_NAVIGATION      0x00000001

/// Mark popup jumps by using popup/
#define HTMLTOPIC_MARKPOPUP       0x00000002

/// Format for a popup (Jumps modify the creator window)
#define HTMLTOPIC_POPUP           0x00000008

/// Format for Printing (Add JavaScript window.print() )
#define HTMLTOPIC_PRINT           0x00000010

/// Add the title of the .hlp file to the title of the generated .html file
#define HTMLTOPIC_ADDHLPTITLE     0x00000020



/* EnumerateTopic
 *
 * Enumerates the Contents of one Topic of a Help File.
 *
 */
void EnumerateTopic(STRINGBUFFER *sbout, HIFS ifs, HTOPIC topic, LPCSTR HlpFileName, LPCSTR HlpTopicOffset, LPCSTR HlpContextId, DWORD dwFormattingFlags, LPCSTR virtual_root);


/* ----------- From wc_kwsrch.c ---------------*/

void SearchKeyWordInAllHelpFiles(STRINGBUFFER *sbout, LPCSTR lpcszKeyWord, char *mimetype, int mimetypesize);



/* ----------- From includes.c ----------------*/
BOOL ChooseLanguage(LPSTR pLanguage, int buffer_size);
void PostProcess(STRINGBUFFER *sbio, const char *HlpFileName);
void GzipEncode(STRINGBUFFER *sbio);

/* ----------- From hlp2tar.c -----------------*/
int  Hlp2Tar(int argc, char **argv);
